Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## juzu.template
Class Template.Builder

    java.lang.Object
      juzu.template.Template.Builder

Enclosing class:
  Template

    public class Template.Builder

extends Object

A builder providing a fluent syntax for rendering a template.

Constructor Summary
`Template.Builder()`

Method Summary
`Template.Builder` | `locale(Locale locale)` Update the locale.
`Response.Render` | `notFound()` Renders the template and returns a response with the not found status.
`Response.Render` | `ok()` Renders the template and set the response on the current `MimeContext`.
`void` | `render()` Renders the template and set the response on the current `MimeContext`
`
`<A extends Appendable> A`
` | `renderTo(A appendable)` Renders the template to the specified appendable.
`void` | `renderTo(Stream.Char printer)` Renders the template to the specified printer.
`Template.Builder` | `set(String name, Object value)` Update a parameter, if the value is not null the parameter with the specified name is set, otherwise the parameter is removed.
`Response.Render` | `status(int status)` Renders the template and returns a response with the specified status.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Template.Builder

    public Template.Builder()

Method Detail

### locale

    public Template.Builder locale(Locale locale)

  Update the locale.

  Parameters:
    `locale` - the new locale
  Returns:
    this builder

### set

    public Template.Builder set(String name,
                                Object value)
                         throws NullPointerException

  Update a parameter, if the value is not null the parameter with the specified name is set, otherwise the parameter is removed. If the parameter is set and a value was set previously, the old value is overwritten otherwise. If the parameter is removed and the value does not exist, nothing happens.

  Parameters:
    `name` - the parameter name
    `value` - the parameter value
  Returns:
    this builder
  Throws:
    `NullPointerException` - if the name argument is null

### ok

    public final Response.Render ok()

  Renders the template and set the response on the current `MimeContext`.

  Returns:
    the ok resource response

### notFound

    public final Response.Render notFound()

  Renders the template and returns a response with the not found status.

  Returns:
    the not found response

### status

    public final Response.Render status(int status)

  Renders the template and returns a response with the specified status.

  Returns:
    the response

### renderTo

    public <A extends Appendable> A renderTo(A appendable)
                                  throws TemplateExecutionException,
                                         UndeclaredIOException

  Renders the template to the specified appendable.

  Parameters:
    `appendable` - the appendable
  Throws:
    `TemplateExecutionException` - any execution exception
    `UndeclaredIOException` - any io exception

### renderTo

    public void renderTo(Stream.Char printer)
                  throws TemplateExecutionException,
                         UndeclaredIOException

  Renders the template to the specified printer.

  Parameters:
    `printer` - the printer
  Throws:
    `TemplateExecutionException` - any execution exception
    `UndeclaredIOException` - any io exception

### render

    public void render()
                throws TemplateExecutionException,
                       UndeclaredIOException

  Renders the template and set the response on the current `MimeContext`

  Throws:
    `TemplateExecutionException`
    `UndeclaredIOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 eXo Platform SAS. All Rights Reserved.